MySQL++ Reference Manual

MySQL++: mysqlpp::value_list_b< Seq, Manip > Struct Template Reference

MySQL++ 3.3.0

Public Member Functions | Public Attributes | List of all members
mysqlpp::value_list_b< Seq, Manip > Struct Template Reference

Same as value_list_ba, plus the option to have some elements of the list suppressed. More...

`#include <vallist.h>`

## Public Member Functions
| value_list_b (const Seq &s, const std::vector< bool > &f, const char *d, Manip m)
| Create object. More...

## Public Attributes
const Seq * | list
| set of objects in the value list
const std::vector< bool > | fields
| delimiter to use between each value in the list when inserting it into a C++ stream
const char * | delim
| delimiter to use between each value in the list when inserting it into a C++ stream
Manip | manip
| manipulator to use when inserting the list into a C++ stream

## Detailed Description

### template<class Seq, class Manip>
struct mysqlpp::value_list_b< Seq, Manip >

Same as value_list_ba, plus the option to have some elements of the list suppressed.

Imagine an object of this type contains the list (a, b, c), that the object's 'fields' list is (true, false, true), and that the object's delimiter is set to ":". When you insert that object into a C++ stream, you would get "a:c".

See value_list_ba's documentation for more details.

## Constructor & Destructor Documentation

## ◆ value_list_b()

template<class Seq , class Manip >

mysqlpp::value_list_b< Seq, Manip >::value_list_b | ( | const Seq & | s,
|  | const std::vector< bool > & | f,
|  | const char * | d,
|  | Manip | m
| ) |  |
| inline

Create object.

Parameters

  s | set of objects in the value list
  f | for each true item in the list, the list item in that position will be inserted into a C++ stream
  d | what delimiter to use between each value in the list when inserting the list into a C++ stream
  m | manipulator to use when inserting the list into a C++ stream

The documentation for this struct was generated from the following file:

- vallist.h